{
  "rules": {
    ".read": false,
    ".write": false,
    "users": {
      "$userId": {
        ".read": "auth.uid === $userId",
        ".write": "auth.uid === $userId"
      }
    }
    // // readable node
    // "messages": {
    //   ".read": true
    // },
    // // readable and writable node
    // "messages": {
    //   ".read": true,
    //   ".write": true
    // }
  }
}
